# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

MY_COMMIT="66f60aada4518d4b0076d41b82496bf3abd68703"
DESCRIPTION="OpenPGP keys used by SSSD"
HOMEPAGE="https://sssd.io/"
# https://raw.githubusercontent.com/SSSD/sssd/master/contrib/pubkey.asc
SRC_URI="https://raw.githubusercontent.com/SSSD/sssd/${MY_COMMIT}/contrib/pubkey.asc -> ${P}-pubkey.asc"
S="${WORKDIR}"

LICENSE="public-domain"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"

src_install() {
	local files=( ${A} )
	insinto /usr/share/openpgp-keys
	newins - sssd.asc < <(cat "${files[@]/#/${DISTDIR}/}" || die)
}
