# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DESCRIPTION="OpenPGP keys used by MongoDB"
HOMEPAGE="https://www.mongodb.com"
SRC_URI="https://pgp.mongodb.com/server-${PV}.asc -> ${P}-server-${PV}.asc"
S="${WORKDIR}"

LICENSE="public-domain"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"

src_install() {
	local files=( ${A} )
	insinto /usr/share/openpgp-keys
	newins - mongodb-${PV}.asc < <(cat "${files[@]/#/${DISTDIR}/}" || die)
}
